%========================================================
%   Spike sorting Experiment 1 - session 1
%   
%   Pereira et al., 2021, 
%   Evidence accumulation determines perceptual 
%       consciousness and monitoring
%      
%   Michael Pereira <michael.pereira@univ-grenoble-alpes.ch>
%   7 Dec 2020
%========================================================

% This file contains a structure array (one item per channel)
% containing "thr": the osort threshold in standard deviations
% (must be precomputed in osort, see README), a cell array of 
% cluster IDs and a corresponding array indicating whether we 
% consider the cluster as single- or multi-unit
%
% for example, if for channel 1 with a threshold of 5, we 
% considered clusters 802 and 803 as one single unit, and 
% cluster 1023 as a multiunit, the sort structure would be the 
% following: 
%   sort(1).thr = 5;
%   sort(1).clust = {[802,803],1023};
%   sort(1).single = [1, 0];

function sort = sort_e1s1()
sort(1).thr = 5;
sort(1).clust = {987,1020};
sort(1).single = [1,1];
sort(2).thr = 5;
sort(2).clust = {332};
sort(2).single = [1];
sort(3).thr = 5;
sort(3).clust = {384};
sort(3).single = [1];
sort(4).thr = 5;
sort(4).clust = {[1095,1093,1173,1080]};
sort(4).single = [1];
sort(5).thr = 5;
sort(5).clust = {[814,899,900,961],963};
sort(5).single = [1,0];
sort(6).thr = NaN;
sort(6).clust = {};
sort(6).single = [];
sort(7).thr = NaN;
sort(7).clust = {};
sort(7).single = [];
sort(8).thr = 5;
sort(8).clust = {1652};
sort(8).single = [1];
sort(9).thr = 5;
sort(9).clust = {[3121,3298],3368};
sort(9).single = [0,1];
sort(10).thr = 5;
sort(10).clust = {167};
sort(10).single = [1];
%
sort(11).thr = 5;
sort(11).clust = {[6072,6331,6389,6415,6437],6313,6460};
sort(11).single = [1,0,1];
sort(12).thr = NaN;
sort(12).clust = {};
sort(12).single = [];
sort(13).thr = 5;
sort(13).clust = {867,[102,779,855,863]};% 867 low snr
sort(13).single = [0,1];
sort(14).thr = 5;
sort(14).clust = {350,577};
sort(14).single = [0,0];
sort(15).thr = NaN;
sort(15).clust = {};
sort(15).single = [];
sort(16).thr = NaN;
sort(16).clust = {};
sort(16).single = [];
sort(17).thr = 5;
sort(17).clust = {[4828,5156,5201],5219};
sort(17).single = [0,0];
sort(18).thr = 5;
sort(18).clust = {[2481],3027,3086};
sort(18).single = [1,1,1];
sort(19).thr = NaN;
sort(19).clust = {};
sort(19).single = [];
sort(20).thr = 5;
sort(20).clust = {287};
sort(20).single = [0];
%
sort(21).thr = 5;
sort(21).clust = {[6616,6891,6887],6898};
sort(21).single = [0,1];
sort(22).thr = 5;
sort(22).clust = {[6236,6404],[6299 ,6353],6374,[6405,6226,5632]};
sort(22).single = [0,1,1,1];
sort(23).thr = 5;
sort(23).clust = {2793,2840,[2852,2748]};
sort(23).single = [1,0,0];
sort(24).thr = 5;
sort(24).clust = {7649,7693,7702,7735};
sort(24).single = [1,0,1,1]; % 4
sort(25).thr = 5;
sort(25).clust = {[5051,5436,5417,5458],[5438,5360]};
sort(25).single = [0,1];
sort(26).thr = 5;
sort(26).clust = {[6684,6785],[6487,6710],6645};
sort(26).single = [0,1,0];
sort(27).thr = 5;
sort(27).clust = {3197};
sort(27).single = [0];
sort(28).thr = 5;
sort(28).clust = {6170,6372,[6283,6363]};
sort(28).single = [1,1,1]; %3
sort(29).thr = 5;
sort(29).clust = {[4096,4070],4115};
sort(29).single = [0,1];
sort(30).thr = 5;
sort(30).clust = {3312,[4564,4683,4034],4697};
sort(30).single = [1,0,0]; % don't remove the first one!
%
sort(31).thr = 5;
sort(31).clust = {[5254,5402,5383],5283,5381,5448};
sort(31).single = [0,1,1,0];
sort(32).thr = 5;
sort(32).clust = {[5174,5596],[5374,5424],5605,[2162,4793,4912,5318]};
sort(32).single = [0,0,1,1];
sort(33).thr = 5;
sort(33).clust = {171};
sort(33).single = [0];
sort(34).thr = NaN;
sort(34).clust = {};
sort(34).single = [];
sort(35).thr = 5;
sort(35).clust = {[665,679]};
sort(35).single = [1];
sort(36).thr = NaN;
sort(36).clust = {};
sort(36).single = [];
sort(37).thr = 5;
sort(37).clust = {[1398,1404,1444]};
sort(37).single = [0];
sort(38).thr = 5;
sort(38).clust = {3713,3824,3974};
sort(38).single = [1,0,1];
sort(39).thr = 5;
sort(39).clust = {[469,504]};
sort(39).single = [1];
sort(40).thr = 5;
sort(40).clust = {[92,132]};
sort(40).single = [1];
%
sort(41).thr = NaN; % positive
sort(41).clust = {};
sort(41).single = [];
sort(42).thr = 5;
sort(42).clust = {[372,404]};
sort(42).single = [1];
sort(43).thr = 5;
sort(43).clust = {[3919,3933],3951,3966};
sort(43).single = [1,1,1];
sort(44).thr = NaN;
sort(44).clust = {};
sort(44).single = [];
sort(45).thr = 5;
sort(45).clust = {[1104,1109]};
sort(45).single = [1];
sort(46).thr = 5;
sort(46).clust = {[438,519]};
sort(46).single = [1];
sort(47).thr = NaN;
sort(47).clust = {};
sort(47).single = [];
sort(48).thr = 5;
sort(48).clust = {}; % no spikes at the beginning
sort(48).single = [];
sort(49).thr = 5;
sort(49).clust = {3066,3136,[2800,2861,3062]};
sort(49).single = [1,1,0];
sort(50).thr = 5;
sort(50).clust = {193};
sort(50).single = [1];
%
sort(51).thr = 5;
sort(51).clust = {3457,3819,[3885,3792]};
sort(51).single = [1,1,1]; %3
sort(52).thr = 5;
sort(52).clust = {116};
sort(52).single = [1];
sort(53).thr = 5;
sort(53).clust = {[2849,2889,2891,2913,3004]};
sort(53).single = [1];
sort(54).thr = 5;
sort(54).clust = {227};
sort(54).single = [1];
sort(55).thr = NaN;
sort(55).clust = {};
sort(55).single = [];
sort(56).thr = 5;
sort(56).clust = {127};
sort(56).single = [1];
sort(57).thr = 5;
sort(57).clust = {1608,1708};
sort(57).single = [1,1];
sort(58).thr = 5;
sort(58).clust = {[1257,1230]};
sort(58).single = [0];
sort(59).thr = 5;
sort(59).clust = {[1509,1529,1571,1667,1673,1702,1718,1733]};
sort(59).single = [0];
sort(60).thr = 5;
sort(60).clust = {[4198,4241,4120,4122],4278};
sort(60).single = [1,0];
%
sort(61).thr = 5;
sort(61).clust = {[5037,5519,5538]};
sort(61).single = [0];
sort(62).thr = 5;
sort(62).clust = {197};
sort(62).single = [1];
sort(63).thr = NaN;
sort(63).clust = {};
sort(63).single = [];
sort(64).thr = 5;
sort(64).clust = {709,751};
sort(64).single = [1,0];
sort(65).thr = NaN;
sort(65).clust = {};
sort(65).single = [];
sort(66).thr = NaN;
sort(66).clust = {};
sort(66).single = [];
sort(67).thr = 5;
sort(67).clust = {355};
sort(67).single = [0];
sort(68).thr = 5;
sort(68).clust = {2342,2353};
sort(68).single = [1,1]; %1
sort(69).thr = 5;
sort(69).clust = {[8374,8378,8424],8396,8410};
sort(69).single = [0,1,1];
sort(70).thr = 5;
sort(70).clust = {[1499,1338],1572};
sort(70).single = [1,1];
%
sort(71).thr = 5;
sort(71).clust = {5757,7144,7151,7278};
sort(71).single = [1,1,1,0];
sort(72).thr = 5;
sort(72).clust = {[871,804]};
sort(72).single = [0];
sort(73).thr = 5;
sort(73).clust = {[6170,6285,6299,6316,6393],[6390,6433,6437,6426]};
sort(73).single = [1,0];
sort(74).thr = NaN;
sort(74).clust = {};
sort(74).single = [];
sort(75).thr = 5;
sort(75).clust = {[3079,3088,3095,3150,3153,3211],[3161,2954],3202};
sort(75).single = [0,1,1];
sort(76).thr = 5;
sort(76).clust = {2829,2970,[3031],3067};
sort(76).single = [1,1,1,1]; %3
sort(77).thr = 5;
sort(77).clust = {4674,[4710,4632],4796};
sort(77).single = [1,0,1];
sort(78).thr = 5;
sort(78).clust = {[82,167,648,1037,1210,1355,1375,1475,1496,1508,1535,1669],1723, 1698};% low snr
sort(78).single = [1,1,0];
sort(79).thr = 5;
sort(79).clust = {[5220,4601,5009,5143,5088],[5229,5043,5165],[5256,5165]};
sort(79).single = [1,0,1];
sort(80).thr = 5;
sort(80).clust = {[525,547,586,608]};
sort(80).single = [1];
%
sort(81).thr = 5;
sort(81).clust = {3142,3147};
sort(81).single = [1,1];
sort(82).thr = 5;
sort(82).clust = {[278,325,356,371]};
sort(82).single = [1];
sort(83).thr = 5;
sort(83).clust = {[4821,5216],[5324,5392,5288,5343]};
sort(83).single = [0,0];
sort(84).thr = 5;
sort(84).clust = {[2061,2077],2103};
sort(84).single = [1,1]; %2
sort(85).thr = 5;
sort(85).clust = {707};
sort(85).single = [0];
sort(86).thr = NaN;
sort(86).clust = {};
sort(86).single = [];
sort(87).thr = NaN;
sort(87).clust = {};
sort(87).single = [];
sort(88).thr = 5;
sort(88).clust = {[4380,4364],4426,[4437,4372]};
sort(88).single = [1,1,1];
sort(89).thr = 5;
sort(89).clust = {4298,4312,[3830,4299,4372,4394,4406]};
sort(89).single = [1,1,0];
sort(90).thr = 5;
sort(90).clust = {2992,[2999,2913]};
sort(90).single = [1,1]; %1
%
sort(91).thr = NaN;
sort(91).clust = {};
sort(91).single = [];
sort(92).thr = 5;
sort(92).clust = {1019,1033};
sort(92).single = [0,1];
sort(93).thr = 5;
sort(93).clust = {[3598,3626,3456],3604,3670};
sort(93).single = [0,1,1]; %3
sort(94).thr = 5;
sort(94).clust = {6094,6194,6246,6260};
sort(94).single = [1,1,0,1];
sort(95).thr = 5;
sort(95).clust = {6547,6617,6725,6382};
sort(95).single = [0,1,0,0];
sort(96).thr = 5;
sort(96).clust = {3923};
sort(96).single = [0];
